package jwks

import "time"

func InitJwksRefresh() {
	// 先刷新一次
	RefreshJWKS()
	var firstRefreshed = true

	// 启动一个定时器
	go func() {
		for {
			if firstRefreshed {
				firstRefreshed = false
			} else {
				RefreshJWKS()
			}
			time.Sleep(refreshRate)
		}
	}()
}
