package models

import "leafdev.top/leaf/rag/ent"

type ListLibraryRequest struct {
}

type ListLibraryResponse struct {
	Libraries []*ent.Library `json:"libraries"`
}

type CreateLibraryRequest struct {
	Name string `json:"name"  binding:"required"`
}

type CreateLibraryResponse struct {
	Library *ent.Library `json:"library"`
}

type Library struct {
	Id        int    `json:"libraryName"`
	LibraryID string `json:"libraryId"`
	Valid     bool   `json:"valid"`
}

type LibraryRequest struct {
	LibraryName string `json:"libraryName"`
	LibraryID   string `json:"libraryId"`
	Valid       bool   `json:"valid"`
}
